# iconcontroller.cpp File Reference

Template File. More...

`#include "iconcontroller.h"`
`#include <synfig/valuenode_const.h>`
`#include <gtkmm/button.h>`
`#include <gtkmm/window.h>`
`#include <synfigapp/action.h>`
`#include "general.h"`

## Defines

#define | IMAGE_DIR "/usr/local/share/pixmaps"
#define | IMAGE_EXT "png"
#define | INIT_STOCK_ICON(name, iconfile, desc)
#define | INIT_STOCK_ICON_CLONE(name, stockid, desc)
#define | INIT_STOCK_ITEM(name, desc)

## Functions

Gtk::StockID | studio::value_icon (synfig::ValueBase::Type type)
Gtk::StockID | studio::valuenode_icon (etl::handle< synfig::ValueNode > value_node)
Glib::RefPtr< Gdk::Pixbuf > | studio::get_tree_pixbuf (synfig::ValueBase::Type type)
Gtk::StockID | studio::get_action_stock_id (const synfigapp::Action::BookEntry &action)
Gtk::StockID | studio::layer_icon (const synfig::String &layer)
Glib::RefPtr< Gdk::Pixbuf > | studio::get_tree_pixbuf_layer (const synfig::String &layer)

## Variables

static Glib::RefPtr< Gdk::Pixbuf > | _tree_pixbuf_table_value_type [(int) synfig::ValueBase::TYPE_END]

## Detailed Description

Template File.

$Id$

## Define Documentation

#define IMAGE_DIR "/usr/local/share/pixmaps"

#define IMAGE_EXT "png"

#define INIT_STOCK_ICON | ( | name,
|  | iconfile,
|  | desc |  | ) |

Value:

    {                           \
        Gtk::StockItem stockitem(Gtk::StockID("synfig-" #name),desc); \
        Gtk::Stock::add(stockitem);                             \
        Gtk::IconSet icon_set;                                  \
        icon_source.set_filename(path_to_icons+iconfile);                           \
        icon_set.add_source(icon_source);                       \
        icon_factory->add(stockitem.get_stock_id(),icon_set); \
        }

Referenced by studio::IconController::IconController().

#define INIT_STOCK_ICON_CLONE | ( | name,
|  | stockid,
|  | desc |  | ) |

Value:

    {                           \
        Gtk::StockItem stockitem(Gtk::StockID("synfig-" #name),desc); \
        Gtk::Stock::add(stockitem);                             \
        Gtk::IconSet icon_set;                                  \
        if(Gtk::Stock::lookup(stockitem.get_stock_id(),icon_set))   \
        icon_factory->add(stockitem.get_stock_id(),icon_set); \
        }

Referenced by studio::IconController::IconController().

#define INIT_STOCK_ITEM | ( | name,
|  | desc |  | ) |

Value:

    stock_##name=Gtk::StockItem(Gtk::StockID("synfig-" #name),desc);            \
        Gtk::Stock::add(stock_##name);

## Variable Documentation

Glib::RefPtr<Gdk::Pixbuf> _tree_pixbuf_table_value_type[(int) synfig::ValueBase::TYPE_END]`[static]`

Referenced by studio::get_tree_pixbuf(), studio::IconController::IconController(), and studio::IconController::~IconController().